$AdfDhtmlSelectManyListboxPeer$$.$_SUB_ID_MAP$ = {saId:"saId"};
$AdfDhtmlSelectManyListboxPeer$$.prototype.$GetSubIdDomElement$ = function $$AdfDhtmlSelectManyListboxPeer$$$$$GetSubIdDomElement$$($subElementId$$57$$) {
  var $component$$2461$$ = this.$getComponent$();
  return $AdfSubIdUtils$$.$getSubIdDomElementDelegateSuper$($subElementId$$57$$, $AdfDhtmlSelectManyListboxPeer$$.$_SUB_ID_MAP$, $component$$2461$$, this, $AdfDhtmlSelectManyListboxPeer$$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlSelectManyListboxPeer.prototype.GetSubIdDomElement", {$GetSubIdDomElement$:$AdfDhtmlSelectManyListboxPeer$$.prototype.$GetSubIdDomElement$});
$AdfDhtmlSelectManyListboxPeer$$.prototype.$GetBestMatchSubId$ = function $$AdfDhtmlSelectManyListboxPeer$$$$$GetBestMatchSubId$$($domElement$$686$$) {
  var $subId$$63$$;
  return ($subId$$63$$ = $AdfSubIdUtils$$.$getBestMatchSubIdDelegateSuper$($domElement$$686$$, this, $AdfDhtmlSelectManyListboxPeer$$.$_SUB_ID_MAP$, $AdfDhtmlSelectManyListboxPeer$$)) ? $subId$$63$$ : "INPUT" == $domElement$$686$$.tagName && "checkbox" == $domElement$$686$$.type && $domElement$$686$$.value ? "item[" + $domElement$$686$$.value + "]" : null;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlSelectManyListboxPeer.prototype.GetBestMatchSubId", {$GetBestMatchSubId$:$AdfDhtmlSelectManyListboxPeer$$.prototype.$GetBestMatchSubId$});
